OGRE: Ogre::ManualResourceLoader Class Reference - OGRE Documentation

Public Member Functions

# Ogre::ManualResourceLoader Class Reference
[Resources]

Interface describing a manual resource loader. More...

`#include <OgreResource.h>`

Inheritance diagram for Ogre::ManualResourceLoader:
[legend]

List of all members.

## Public Member Functions
| ManualResourceLoader ()
virtual | ~ManualResourceLoader ()
virtual void | prepareResource (Resource *resource)
| Called when a resource wishes to load.
virtual void | loadResource (Resource *resource)=0
| Called when a resource wishes to prepare.

## Detailed Description

Interface describing a manual resource loader.

Remarks:
  Resources are usually loaded from files; however in some cases you want to be able to set the data up manually instead. This provides some problems, such as how to reload a Resource if it becomes unloaded for some reason, either because of memory constraints, or because a device fails and some or all of the data is lost.

  This interface should be implemented by all classes which wish to provide manual data to a resource. They provide a pointer to themselves when defining the resource (via the appropriate ResourceManager), and will be called when the Resource tries to load. They should implement the loadResource method such that the Resource is in the end set up exactly as if it had loaded from a file, although the implementations will likely differ between subclasses of Resource, which is why no generic algorithm can be stated here.

Note:
  The loader must remain valid for the entire life of the resource, so that if need be it can be called upon to re-load the resource at any time.

Definition at line 512 of file OgreResource.h.

## Constructor & Destructor Documentation

Ogre::ManualResourceLoader::ManualResourceLoader | ( |  | ) |

Definition at line 515 of file OgreResource.h.

virtual Ogre::ManualResourceLoader::~ManualResourceLoader | ( |  | ) | `[virtual]`

Definition at line 516 of file OgreResource.h.

## Member Function Documentation

virtual void Ogre::ManualResourceLoader::loadResource | ( | Resource * | resource | ) | `[pure virtual]`

Called when a resource wishes to prepare.

Parameters:

  | resource | The resource which wishes to prepare

Implemented in Ogre::Font, and Ogre::MeshManager.

virtual void Ogre::ManualResourceLoader::prepareResource | ( | Resource * | resource | ) | `[virtual]`

Called when a resource wishes to load.

Note that this could get called in a background thread even in just a semithreaded ogre (OGRE_THREAD_SUPPORT==2). Thus, you must not access the rendersystem from this callback. Do that stuff in loadResource.

Parameters:

  | resource | The resource which wishes to load

Definition at line 524 of file OgreResource.h.

The documentation for this class was generated from the following file:

- OgreResource.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:59